{...}:
let
  gruvbox-dark = import ../data/gruvbox-dark.nix {};

in {
  programs.alacritty = {
    enable = true;
    settings = {
      font.normal.family = "monospace";
      window = {
        dynamic_title = true;
        title = "Alacritty";
      };

      # gruvbox dark theme
      colors = {
        primary = {
          inherit (gruvbox-dark) background foreground;
        };

        inherit (gruvbox-dark) normal bright;
      };

      keyboard = {
        bindings = [
          {
            key = "Return";
            mods = "Shift|Control";
            action = "SpawnNewInstance";
          }
        ];
      };
    };
  };
}
