{pkgs, config, ...}: {
  home.packages = with pkgs; [ 
    libinput
    libinput-gestures
  ];

  xdg.configFile."libinput-gestures.conf".text = ''
    gesture swipe left 4 swaymsg workspace next
    gesture swipe right 4 swaymsg workspace next
    gesture swipe down 4 swaylock-wrapper
    gesture pinch in 4 rofi -combi-modi window,drun,run,ssh,combi -show combi -show-icons
'';
}
