{lib, ...}: {
  options = {
    has_battery = lib.mkOption {
      type = lib.types.bool;
      default = false;
      description = "Whether the system has a battery.";
    };

    vmGuest = lib.mkOption {
      type = lib.types.bool;
      default = false;
      description = "Enable VM guest services.";
    };

    darkMode = lib.mkOption {
      type = lib.types.bool;
      default = false;
      description = "Enable dark mode for the system.";
    };
  };
}
