{config, ...}:
let
  theme = if config.darkMode then import ./gruvbox-dark.nix {}
          else import ./gruvbox-light.nix {};
in
{
  inherit (theme) background foreground normal bright;

  extra = {
    red = "#bd574e";
    orange = "#eb8242";
    yellow = "#ede06b";
    green = "#9bb67c";
    teal = "#87a7b3";
    purple = "#ad6989";
    brown = "#ad8b73";
    darkbrown = "#85603f";
    darkerbrown = "#5e454b";
    cream = "#fefcf3";
  };
}
