{ lib, ... }:
{
  imports =
    [ # Include the results of the hardware scan.
      ./hardware-configuration.nix
      # inputs.home-manager.nixosModules.default
      ./nixos
      ./users/alice.nix
      ./variables.nix
      ./hosts/laptop.nix
    ];

  # to use zsh as a login shell, it has to be enabled globally.
  programs.zsh.enable = true;
}

