{pkgs, ...}: {
  fonts = {
    enableDefaultPackages = true;
    packages = with pkgs; [
      noto-fonts
      noto-fonts-cjk-sans
      noto-fonts-emoji
      liberation_ttf
      roboto
      roboto-mono
      twitter-color-emoji
      nerd-fonts.fira-code
      nerd-fonts.fira-mono
      unicode-emoji
      fira-sans
      font-awesome
      fira-mono
      fira-code
      material-icons
      source-sans
      source-code-pro
      pkgs.nur.repos.redpz.sf-mono
    ];
    fontconfig = {
      defaultFonts = {
        monospace = ["SF Mono" "Fira Mono" "Noto Mono"];
        serif = ["Liberation Serif" "Noto Serif"];
        sansSerif = ["Liberation Sans" "Noto Sans" "Roboto"];
        emoji = ["Twitter Color Emoji" "Noto Emoji"];
      };
    };
  };
}
