{ config, pkgs, ...}: 
with pkgs;
{
  hardware = {
    graphics = {
      enable = true; # Enable graphics support.
      extraPackages = [
        amdvlk
        intel-media-driver
        intel-vaapi-driver
      ];
    };
    cpu = {
      amd = {
        updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
      };
    };
  };
}
