# This file is part of the NixOS configuration for the login service.
{pkgs, ...}: {
  environment.systemPackages = [ pkgs.sddm-chili-theme ];
  services = {
    displayManager = {
      enable = true;
      sddm = {
        enableHidpi = true;
        enable = true;
        theme = "chili";
        wayland.enable = true;
      };
      sessionPackages = with pkgs; [sway];
    };
  };
}
